Montée de version (upgrade) de openHAB v2.4 en v2.5

La version openHAB v2.5 existe depuis le 15 décembre 2019.
Si vous étiez en version antérieure 2.4 je vous conseille vivement de passer en openHAB 2.5.
Il aura en effet fallu près d'un an pour cette nouvelle version d'arriver en version stable et aelle apporte son lot de correctifs et de nouveautés...

NB : Cette gamme fonctionne aussi pour une montée de version intermédiaire : 2.5.x en 2.5.y



Les améliorations sont nombreuses !
Elles sont décrites ici : https://www.openhab.org/blog/2019-12-14-openhab-2-5-release.html
J'aimerais rajouter surtout une fiabilité des add-ons et bindings !!

Les impacts
Sur toutes les montée de versions il y a quelques impacts à tenir compte.
Voici ceux que j'ai noté (ils sont mentionnés lors de votre montée de version) :


Warning: Azure IoT: Due to changes in the Azure API, this add-on is no longer working and has been removed.
Warning: DarkSky Binding: The item type of 'rain' and 'snow' channels have been changed to 'Number:Speed'.
Warning: EnOcean Binding: Channel 'receivingState' has been removed, because this was a string containing many information. For this, there are three new channels: 'rssi', 'repeatCount' and 'lastReceived'.
Warning: Homekit: Some tags have been renamed. Old names will not be supported in future versions. Please check documentation.
Warning: LGWebOS Binding: The binding parameter 'localIP' has been removed. The binding now uses system defaults for network communication. The thing type parameter 'deviceId' is no longer a parameter, but a property. Parameters 'host' and 'key' have been added.
Warning: Mail Action: The mail action has been replaced by a new mail binding.
Warning: MQTT Binding: Homie channel names may have changed if special characters are used for MQTT topic names.
Warning: OneWire Binding: Some thing types have changed and need to be updated in textual configurations. See documentation for further information.
Warning: OpenSprinkler Binding: The stationXX channels have been removed and replaced by a bridge/thing combination. See documentation for further information.
Warning: OpenSprinkler Binding: The Pi interface was removed, as it does not provide all of the features of the binding anymore. Please use the HTTP interface instead.
Warning: Pushbullet Action: The pushbullet action has been replaced by a new pushbullet binding.
Warning: REST Docs: This add-on is now part of the UIs. When previously installed using a UI, uninstall the REST Docs before updating and reinstall it after the update to prevent errors. When installing it using textual configuration, update 'services/addons.cfg' by removing 'restdocs' from 'misc' and add it to 'ui' instead.
Warning: senseBox Binding: The senseBox binding is now using Units of Measurements, and the channel name for Illuminance has changed. The Items must be reconfigured.
Warning: Somfytahoma Binding: The following channels have been renamed: 'cyclic_button_state' to 'cyclic_button', 'battery_status_state' to 'battery_status' and 'lighting_led_pod_mod_state' to 'lighting_led_pod_mode'.
Warning: Systeminfo Binding: The 'cpu#load' channel has been removed because the OSHI library no longer provides this information.
Warning: TP-Link Smart Home Binding: The energy and rssi channels are now using Units of Measurements. Items must be adapted and the things must be recreated.
Warning: Tesla Binding: The binding has been heavily refactored. It is required to delete old Tesla Things and set them up from scratch.
Warning: Vitotronic Binding: The following channels have been renamed: 'outsite_temp' to 'outside_temp', 'pelletburner:power' to 'pelletburner:powerlevel', 'party_temp' to 'party_temp_setpoint' and 'save_temp' to 'save_temp_setpoint'


Si vous êtes prêts pour la montée de version, voici les étapes.
(Ceci est un tutoriel relativement court car l'opération de montée de version se fait très rapidement et très facilement)

 

 

1. Faire une sauvegarde de votre configuration actuelle d'openHAB


Pour cela, je vous sonseille de passer cette commande :

sudo openhab-cli backup

 

 

La sauvegarde sera faite par défaut dans : /var/lib/openhab2/backups/

 

2. Faire un arrêt d'openHAB

sudo systemctl stop openhab2.service

 

3. Faire la mise à jour

sudo apt-get update

 

Si pendant l'update vous avez cette erreur :

Lecture des listes de paquets... Fait
W: An error occurred during the signature verification. The repository is not up dated and the previous index files will be used. GPG error: https://dl.bintray.com/openhab/apt-repo2 stable Release: Les signatures suivantes ne sont pas valabl es : EXPKEYSIG 075721F6A224060A openHAB Bintray Repositories <Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser.>
W: Impossible de récupérer https://dl.bintray.com/openhab/apt-repo2/dists/stable/Release.gpg Les signatures suivantes ne sont pas valables : EXPKEYSIG 075721F6 A224060A openHAB Bintray Repositories <Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser.>
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

 

Il vous faudra passer cette commande car la clé public a expirée :

wget -qO - 'https://bintray.com/user/downloadSubjectPublicKey?username=openhab' | sudo apt-key add

 

Puis refaites

sudo apt-get update

 

4.

 
Attention !!
Pendant cette phase il se peut que vous ayez cette erreur :

Lecture des listes de paquets... Fait
W: An error occurred during the signature verification. The repository is not up dated and the previous index files will be used. GPG error: https://dl.bintray.com/openhab/apt-repo2 stable Release: Les signatures suivantes ne sont pas valabl es : EXPKEYSIG 075721F6A224060A openHAB Bintray Repositories <Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser.>
W: Impossible de récupérer https://dl.bintray.com/openhab/apt-repo2/dists/stable/Release.gpg Les signatures suivantes ne sont pas valables : EXPKEYSIG 075721F6 A224060A openHAB Bintray Repositories <Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser.>
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

 

 

 

 

 En ce cas il vous faut appliquer ces 2 commandes pour corriger cette erreur :

sudo wget href="http://repo.mosquitto.org/debian/mosquitto-repo.gpg.key
sudo apt-key add mosquitto-repo.gpg.key

 

 


Puis refaites la commande de 'sudo apt-get update' à nouveau.

Faire la montée de niveau pour l'ensemble

sudo apt-get upgrade

 

Vous trouverez ainsi ces infos de montée de version :

Réception de:5 https://repo.mosquitto.org/debian stretch/main armhf mosquitto-clients armhf 1.6.8-0mosquitto1~stretch1 [89,1 kB]
Réception de:6 https://dl.bintray.com/openhab/apt-repo2 stable/main armhf openhab2 all 2.5.0-1 [82,6 MB]
Réception de:10 https://dl.bintray.com/openhab/apt-repo2 stable/main armhf openhab2-addons all 2.5.0-1 [190 MB]
300 Mo réceptionnés en 54s (5 467 ko/s)

 

5. Démarrer openHAB v2.5

 

sudo systemctl start openhab2.service

 

6. Tout n'est pas fini

En effet il vous faudra peut-être adapter certaines configurations que vous aviez auparavant pour les rendre compatibles avec la version 2.5. Ces adaptations sont décrites et trouvables facilement sur le site de la communauté openHAB.

 

Après plus d'un mois de migration, openHAB est toujours aussi stable ! (voi plus !) ;o)

 

 

Publish modules to the "offcanvas" position.